Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
BuildRequires: perl(IO/File.pm) perl(strict.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global srcname dashdash

%global owner trentm

Name:           nodejs-%{srcname}
Version:        1.10.1
Release:        alt1_8
Summary:        A light, featureful and explicit option parsing library for node.js
License:        MIT
URL:            https://github.com/trentm/node-dashdash
Source0:        https://github.com/%{owner}/node-%{srcname}/archive/%{version}.tar.gz

BuildArch:      noarch


BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(assert-plus)
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -qn node-%{srcname}-%{version}
%nodejs_fixdep assert-plus
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
nodeunit test/*.test.js
%endif

%files
%doc CHANGES.md AUTHORS README.md TODO.txt examples
%doc --no-dereference LICENSE.txt
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.10.1-alt1_8
- new version

